Explosion = {}
Explosion.__index = Explosion

function Explosion.LoadAssets(me)
	LoadModel(me,"Square","Billboard","Fire.png")
end

function Explosion:Params(me)
	SetMaxSize(me,500)
	ParamScale(me,5)
	ParamMaxLife(me,20)
	ParamOnTop(me,true)
	ParamAlphaType(me,1)
end

function Explosion:Create(me)
	
	CreateLine(me,45,8,12)
	CreateLine(me,90,8,12)
	CreateLine(me,105,8,12)
	CreateLine(me,135,8,12)
	CreateLine(me,0,8,12)
	CreateLine(me,-45,8,12)
	CreateLine(me,-90,8,12)
	CreateLine(me,-105,8,12)
	CreateLine(me,-135,8,12)
	CreateLine(me,-180,8,12)

	for i = 0,8
		do
			
			--SetVelocity(child, -8,-1)
			randDir = math.random(-180,179)
			randSpeed = math.random(10,20)
			CreateLine(me,randDir,randSpeed,20)
			
		end
	ShakeScreen(10)
end